#
# Conditional build:
%bcond_without	tests		# build without tests

%define		php_name	php%{?php_suffix}
%define		modname	igbinary
Summary:	Replacement for the standard PHP serializer
Name:		%{php_name}-pecl-%{modname}
Version:	2.0.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	89e1250807864d13df7b07710a187edf
Source2:	%{modname}.ini
URL:		http://pecl.php.net/package/igbinary
%{?with_tests:BuildRequires:	%{php_name}-cli}
BuildRequires:	%{php_name}-devel >= 4:5.2.0
%{?with_tests:BuildRequires:	%{php_name}-pcre}
#%{?with_tests:BuildRequires:	%{php_name}-pecl-APC}
%{?with_tests:BuildRequires:	%{php_name}-session}
%{?with_tests:BuildRequires:	%{php_name}-simplexml}
%{?with_tests:BuildRequires:	%{php_name}-spl}
#BuildRequires:	php-pecl-apc-devel >= 3.1.7
BuildRequires:	rpmbuild(macros) >= 1.666
%{?requires_php_extension}
Requires:	%{php_name}-session
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-igbinary < 1.1.1-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Igbinary is a drop in replacement for the standard PHP serializer.

Instead of time and space consuming textual representation, igbinary
stores PHP data structures in a compact binary form. Savings are
significant when using memcached or similar memory based storages for
serialized data.

%package devel
Summary:	Igbinary developer files (header)
Group:		Development/Libraries
Requires:	%{php_name}-devel
# does not require base

%description devel
These are the files needed to compile programs using Igbinary

%prep
%setup -qc
mv %{modname}-*/* .

%build
phpize
%configure
%{__make}

%if %{with tests}
# APC required for test 045

# simple module load test
# without APC to ensure that can run without
%{__php} -n -q \
	-dextension_dir=modules \
	-dextension=%{php_extensiondir}/pcre.so \
	-dextension=%{php_extensiondir}/spl.so \
	-dextension=%{php_extensiondir}/simplexml.so \
	-dextension=%{php_extensiondir}/session.so \
	-dextension=%{modname}.so \
	-m > modules.log
grep %{modname} modules.log

cat <<'EOF' > run-tests.sh
#!/bin/sh
%{__make} test \
	PHP_EXECUTABLE=%{__php} \
	PHP_TEST_SHARED_SYSTEM_EXTENSIONS="pcre spl simplexml session" \
	RUN_TESTS_SETTINGS="-q $*"
EOF

chmod +x run-tests.sh
./run-tests.sh -w failed.log --show-out
test -f failed.log -a ! -s failed.log
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

cp -p %{SOURCE2} $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/session_%{modname}.ini

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING CREDITS NEWS README.md
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/*%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/php/ext/%{modname}
%changelog
* Mon Dec 12 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-igbinary.git;a=log;h=auto/th/php-pecl-igbinary-2.0.0-1

* Tue Nov 22 2016 Elan Ruusamäe <glen@delfi.ee> 365972a
- up to 2.0.0; php 5.2 - 7.0 support

* Thu Aug 28 2014 Elan Ruusamäe <glen@delfi.ee> 8181614
- up to 1.2.0

* Fri Jul 11 2014 Elan Ruusamäe <glen@delfi.ee> 665b76b
- php deps; obsolete old package

* Thu Jun 12 2014 Elan Ruusamäe <glen@delfi.ee> 267037f
- fix call by reference fatal with php5.4+

* Wed Jun 11 2014 Elan Ruusamäe <glen@delfi.ee> a923f40
- spl requires pcre

* Sat May 17 2014 Elan Ruusamäe <glen@delfi.ee> a6c404b
- obsolete old php package name

* Wed Jan 29 2014 Elan Ruusamäe <glen@delfi.ee> 6eaf967
- disable failing test

* Wed Jan 29 2014 Elan Ruusamäe <glen@delfi.ee> 57775e0
- load spl before simplexml to ensure spl_ce_RecursiveIterator symbol availability

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> eac0cc7
- provide php(extname) to really be supporting multiple php versions

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> c6dc38d
- cosmetic

* Fri Jul 19 2013 Elan Ruusamäe <glen@delfi.ee> 284c190
- release 5 (by relup.sh)

* Sun Jun 23 2013 Elan Ruusamäe <glen@delfi.ee> a0e64d7
- force proper php test executable

* Sun Jun 23 2013 Elan Ruusamäe <glen@delfi.ee> af7ad5d
- spl requires simplexml in php 5.2

* Sun Jun 23 2013 Elan Ruusamäe <glen@delfi.ee> 6319b74
- spl requires pcre, at least in php 5.4

* Sun Jun 23 2013 Elan Ruusamäe <glen@delfi.ee> 06807c4
- rpm5 compatible df hacking

* Sun Jun 23 2013 Elan Ruusamäe <glen@delfi.ee> 766117d
- update module load testing

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 62d7a9b
- support building for multiple php versions

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> f7c137f
- release 4 (by relup.sh)

* Thu Oct 20 2011 Elan Ruusamäe <glen@pld-linux.org> d5bdc1d
- load after session module

* Fri Oct 14 2011 Elan Ruusamäe <glen@pld-linux.org> 9cf2dbc
- tests need pcre and session exts

